Skip to main content

Endpoints

MethodPathPurpose
GET/tasksList, paginated
POST/tasksCreate (parent optional)
GET/tasks/:idFetch one
PATCH/tasks/:idUpdate — including marking complete
DELETE/tasks/:idDelete

Fields

FieldTypeNotes
iduuid
parent_object_typeperson | company | deal | nullOptional
parent_object_iduuid | nullIf parent_object_type is set, must exist
titlestringRequired
descriptionstring | null
statusstringDefaults to "open". Free-form
due_atdatetime | nullISO 8601
completed_atdatetime | nullSet when the task is done
created_atdatetime

Standalone task (no parent)

curl -X POST $SALTY_API/tasks \
  -H "Authorization: Bearer $SALTY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title":"Review pipeline","due_at":"2026-06-01T09:00:00Z"}'

Task on a deal

curl -X POST $SALTY_API/tasks \
  -H "Authorization: Bearer $SALTY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Send proposal",
    "parent_object_type": "deal",
    "parent_object_id": "<deal-uuid>",
    "due_at": "2026-06-01T09:00:00Z"
  }'

Mark complete

curl -X PATCH $SALTY_API/tasks/<id> \
  -H "Authorization: Bearer $SALTY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"status":"done","completed_at":"2026-05-25T10:00:00Z"}'